Page MenuHomePhabricator

Replace Istanbul with nyc
Closed, ResolvedPublic

Description

The istanbul package that we've been using for code coverage reporting has been deprecated and replaced with nyc. We need to eliminate the use of a deprecated package and replace it with a new one

Details

Related Gerrit Patches:
mediawiki/services/eventstreams : masterReplace Istanbul with nyc
mediawiki/services/graphoid : masterReplace Istanbul with nyc
mediawiki/services/citoid : masterCitoid: Fixed invalid peer deps
mediawiki/services/mathoid : masterReplace Istanbul with nyc
mediawiki/services/chromium-render : masterReplace istanbul with nyc
mediawiki/services/mobileapps : masterReplace istanbul with nyc
mediawiki/services/recommendation-api : masterReplace istanbul with nyc

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 14 2019, 10:22 PM
Mholloway updated the task description. (Show Details)Feb 14 2019, 10:26 PM

Removed the linked patch next to mobileapps, which was unrelated unless I'm missing something.

Removed the linked patch next to mobileapps, which was unrelated unless I'm missing something.

Yup, that's yet another depreciation of a tool we were using throughout our projects :(

Pchelolo updated the task description. (Show Details)Feb 15 2019, 12:26 AM
mobrovac updated the task description. (Show Details)Feb 16 2019, 1:49 AM

Change 492357 had a related patch set uploaded (by Bmansurov; owner: Bmansurov):
[mediawiki/services/recommendation-api@master] Replace istanbul with nyc

https://gerrit.wikimedia.org/r/492357

Change 492357 merged by jenkins-bot:
[mediawiki/services/recommendation-api@master] Replace istanbul with nyc

https://gerrit.wikimedia.org/r/492357

Pchelolo updated the task description. (Show Details)Feb 22 2019, 7:16 PM

Change 492929 had a related patch set uploaded (by Mholloway; owner: Michael Holloway):
[mediawiki/services/mobileapps@master] Replace istanbul with nyc

https://gerrit.wikimedia.org/r/492929

Change 492929 merged by Ppchelko:
[mediawiki/services/mobileapps@master] Replace istanbul with nyc

https://gerrit.wikimedia.org/r/492929

Change 492930 had a related patch set uploaded (by Mholloway; owner: Michael Holloway):
[mediawiki/services/chromium-render@master] Replace istanbul with nyc

https://gerrit.wikimedia.org/r/492930

Mholloway updated the task description. (Show Details)Feb 25 2019, 11:40 PM

Change 492930 merged by Ppchelko:
[mediawiki/services/chromium-render@master] Replace istanbul with nyc

https://gerrit.wikimedia.org/r/492930

Change 494709 had a related patch set uploaded (by Physikerwelt; owner: Physikerwelt):
[mediawiki/services/mathoid@master] Replace Istanbul with nyc

https://gerrit.wikimedia.org/r/494709

Change 494709 merged by jenkins-bot:
[mediawiki/services/mathoid@master] Replace Istanbul with nyc

https://gerrit.wikimedia.org/r/494709

mobrovac updated the task description. (Show Details)Mar 11 2019, 8:11 PM

Change 496878 had a related patch set uploaded (by Holger Knust; owner: Holger Knust):
[mediawiki/services/citoid@master] Citoid: Fixed invalid peer deps

https://gerrit.wikimedia.org/r/496878

mobrovac updated the task description. (Show Details)Mar 15 2019, 9:14 PM

Change 496878 merged by jenkins-bot:
[mediawiki/services/citoid@master] Citoid: Fixed invalid peer deps

https://gerrit.wikimedia.org/r/496878

mobrovac triaged this task as Medium priority.Mar 19 2019, 3:51 PM
mobrovac updated the task description. (Show Details)
mobrovac updated the task description. (Show Details)
mobrovac edited projects, added Services (doing); removed Services (next).
holger.knust updated the task description. (Show Details)Jun 5 2019, 6:18 PM
holger.knust updated the task description. (Show Details)Jun 5 2019, 7:04 PM

Change 514565 had a related patch set uploaded (by Holger Knust; owner: Holger Knust):
[mediawiki/services/cxserver@master] Replace Istanbul with nyc

https://gerrit.wikimedia.org/r/514565

holger.knust updated the task description. (Show Details)Jun 5 2019, 8:54 PM
holger.knust updated the task description. (Show Details)Jun 6 2019, 6:02 PM
holger.knust updated the task description. (Show Details)Jun 6 2019, 6:31 PM
holger.knust updated the task description. (Show Details)Jun 6 2019, 7:11 PM

Change 515283 had a related patch set uploaded (by Holger Knust; owner: Holger Knust):
[mediawiki/services/eventstreams@master] Replace Istanbul with nyc

https://gerrit.wikimedia.org/r/515283

Change 516060 had a related patch set uploaded (by Holger Knust; owner: Holger Knust):
[mediawiki/services/graphoid@master] Replace Istanbul with nyc

https://gerrit.wikimedia.org/r/516060

holger.knust updated the task description. (Show Details)Jun 9 2019, 8:52 PM

Change 516060 merged by Ppchelko:
[mediawiki/services/graphoid@master] Replace Istanbul with nyc

https://gerrit.wikimedia.org/r/516060

Change 515283 merged by Ppchelko:
[mediawiki/services/eventstreams@master] Replace Istanbul with nyc

https://gerrit.wikimedia.org/r/515283

Pchelolo closed this task as Resolved.Jun 10 2019, 7:05 AM
Pchelolo claimed this task.
Pchelolo updated the task description. (Show Details)

I'm sure we've forgot something, but it's ok, the remaining will be replaced as it goes.